Package twisted :: Package python :: Module formmethod :: Class Flags

[frames | no frames]

## Class Flags

    Argument --+
               |
              Flags

Known Subclasses:
  `CheckGroup`

The result of a checkbox group or multi-menu. The flags should be a list of tuples of tag, value, and description. The tag will be the value returned if the user hits "Submit", and the description is the bale for the enumerated type. default is a list of all the values (second elements in flags). If no defaults are specified, initially nothing will be selected. Several items may be selected at once.

Method Summary
| `__init__(self, name, flags, default, shortDesc, longDesc, hints, allowNone)`
| `coerce(self, inFlagKeys)`
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from Argument
`NoneType` | `defaultDefault` = None

Generated by Epydoc 2.0 on Sat May 15 20:08:03 2004 | http://epydoc.sf.net